<?php


class MEET_CLASS_ActionController extends OW_ActionController
{
    /**
    *
    * @var MEET_BOL_Service
    */
    protected $service;

    public function init()
    {
        $this->service = MEET_BOL_Service::getInstance();
        OW::getDocument()->addStyleSheet( OW::getPluginManager()->getPlugin('meet')->getStaticCssUrl().'meet.css' );

        OW::getNavigation()->activateMenuItem('main', 'meet', 'main_menu_item');

        if (!OW::getUser()->isAuthenticated())
        {
            $this->redirect(OW::getRouter()->urlForRoute('static_sign_in'));
        }
    }
}

