<?php

class MEET_CTRL_Notifications extends MEET_CLASS_ActionController
{

    public function index()
    {
        $language = OW::getLanguage();
        
        OW::getDocument()->setTitle($language->text("meet", "notifications_page_title"));
        OW::getDocument()->setHeading($language->text("meet", "notifications_page_heading"));

        $notificationExampleForm = new MEET_CLASS_NotificationExampleForm();

        $this->addForm($notificationExampleForm);

        //Processing form data after submit
        if ( OW::getRequest()->isPost() && $notificationExampleForm->isValid($_POST) )
        {
            $notificationExampleForm->process();
        }
    }

}